| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiRectItem Class Reference
uiBase

`#include <uigraphicsitemimpl.h>`

Inheritance diagram for uiRectItem:
[legend]

## Public Member Functions
| uiRectItem ()
| uiRectItem (int x, int y, int width, int height)
| uiRectItem (QGraphicsRectItem *)
| ~uiRectItem ()
QGraphicsRectItem * | qRectItem ()
void | setRect (const Geom::RectF &)
void | setRect (const uiRect &)
void | setRect (float x, float y, float width, float height)
void | setRect (int x, int y, int width, int height)
Public Member Functions inherited from uiGraphicsItem
| uiGraphicsItem ()
| ~uiGraphicsItem ()
virtual OD::ButtonState | acceptedMouseButtonsEnabled () const
void | addChild (uiGraphicsItem *, bool checkifnew=true)
void | addChildSet (uiGraphicsItemSet &)
virtual uiRect | boundingRect () const
virtual uiGraphicsItem * | findItem (QGraphicsItem *)
uiGraphicsItem * | getChild (int)
Geom::Point2D< float > | getPos () const
float | getRotation ()
void | getScale (float &sx, float &sy)
float | getTransparency () const
int | getZValue () const
void | hide ()
int | id () const
virtual bool | isFiltersChildEventsEnabled () const
virtual bool | isHoverEventsAccepted () const
bool | isItemIgnoresTransformationsEnabled () const
virtual bool | isMovable () const
bool | isPresent (const uiGraphicsItem &) const
virtual bool | isSelectable () const
virtual bool | isSelected () const
virtual bool | isVisible () const
void | moveBy (float x, float y)
int | nrChildren () const
QGraphicsItem * | qGraphicsItem ()
const QGraphicsItem * | qGraphicsItem () const
void | removeAll (bool withdelete)
void | removeChild (uiGraphicsItem *, bool withdelete)
void | removeChildSet (uiGraphicsItemSet &)
void | rotate (float angle)
void | scale (float sx, float sy)
virtual void | setAcceptedMouseButtons (OD::ButtonState)
virtual void | setAcceptHoverEvents (bool)
void | setCursor (const MouseCursor &)
virtual void | setFillColor (const OD::Color &, bool usetransp=false)
virtual void | setFillPattern (const FillPattern &)
virtual void | setFiltersChildEvents (bool)
virtual void | setGradientFill (int x1, int y1, int x2, int y2, const TypeSet< float > &stops, const TypeSet< OD::Color > &colors)
void | setItemIgnoresTransformations (bool)
virtual void | setMovable (bool)
virtual void | setPenColor (const OD::Color &, bool usetransp=false)
virtual void | setPenStyle (const OD::LineStyle &, bool usetransp=false)
void | setPos (const Geom::Point2D< float > &)
void | setPos (const uiPoint &p)
void | setPos (const uiWorldPoint &)
void | setPos (float x, float y)
void | setRotation (float angle)
void | setScale (float sx, float sy)
virtual void | setScene (uiGraphicsScene *)
virtual void | setSelectable (bool)
virtual void | setSelected (bool)
void | setToolTip (const uiString &)
virtual void | setTransparency (float)
virtual void | setVisible (bool)
void | setZValue (int)
void | show ()
uiPoint | transformToScenePos (const uiPoint &itmpos) const
virtual void | translateText ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
QGraphicsItem * | mkQtObj () override
Protected Member Functions inherited from uiGraphicsItem
| uiGraphicsItem (QGraphicsItem *)
virtual void | stPos (float, float)

## Protected Attributes
QGraphicsRectItem * | qrectitem_
Protected Attributes inherited from uiGraphicsItem
ObjectSet< uiGraphicsItem > | children_
uiGraphicsItem * | parent_
QGraphicsItem * | qgraphicsitem_
uiGraphicsScene * | scene_
bool | selected_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from uiGraphicsItem
CNotifier< uiGraphicsItem, const MouseEvent & > | leftClicked
CNotifier< uiGraphicsItem, const MouseEvent & > | rightClicked

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiRectItem() [1/3]

uiRectItem::uiRectItem | ( |  | ) |

## ◆ uiRectItem() [2/3]

uiRectItem::uiRectItem | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height )

## ◆ uiRectItem() [3/3]

uiRectItem::uiRectItem | ( | QGraphicsRectItem * |  | ) |

## ◆ ~uiRectItem()

uiRectItem::~uiRectItem | ( |  | ) |

## Member Function Documentation

## ◆ mkQtObj()

QGraphicsItem * uiRectItem::mkQtObj | ( |  | ) |
| override protected virtual

Reimplemented from uiGraphicsItem.

## ◆ qRectItem()

QGraphicsRectItem * uiRectItem::qRectItem | ( |  | ) |
| inline

## ◆ setRect() [1/4]

void uiRectItem::setRect | ( | const Geom::RectF & |  | ) |

## ◆ setRect() [2/4]

void uiRectItem::setRect | ( | const uiRect & |  | ) |

## ◆ setRect() [3/4]

void uiRectItem::setRect | ( | float | x,
|  | float | y,
|  | float | width,
|  | float | height )

## ◆ setRect() [4/4]

void uiRectItem::setRect | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height )

## Member Data Documentation

## ◆ qrectitem_

QGraphicsRectItem* uiRectItem::qrectitem_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025